Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.forms
Class TextField

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.forms.Field
              org.pdfclown.documents.interaction.forms.TextField

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class TextField

extends Field

Text field [PDF:1.6:8.6.3].

Since:
  0.0.7
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.interaction.forms.Field
`Field.FlagsEnum`

Constructor Summary
`TextField(String name, Widget widget, String value)` Creates a new text field within the given document context.

Method Summary
`TextField` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`JustificationEnum` | `getJustification()` Gets the justification to be used in displaying this field's text.
`int` | `getMaxLength()` Gets the maximum length of this field's text, in characters.
`boolean` | `isMultiline()` Gets whether the field can contain multiple lines of text.
`boolean` | `isPassword()` Gets whether the field is intended for entering a secure password.
`boolean` | `isSpellChecked()` Gets whether text entered in the field is spell-checked.
`void` | `setJustification(JustificationEnum value)`
`void` | `setMaxLength(int value)`
`void` | `setMultiline(boolean value)`
`void` | `setPassword(boolean value)`
`void` | `setSpellChecked(boolean value)`
`void` | `setValue(Object value)`

Methods inherited from class org.pdfclown.documents.interaction.forms.Field
`getActions, getDefaultAppearanceState, getDefaultValue, getFlags, getFullName, getInheritableAttribute, getName, getValue, getWidgets, isExportable, isReadOnly, isRequired, setActions, setExportable, setFlags, setName, setReadOnly, setRequired, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextField

    public TextField(String name,
                     Widget widget,
                     String value)

  Creates a new text field within the given document context.

Method Detail

### clone

    public TextField clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getJustification

    public JustificationEnum getJustification()

  Gets the justification to be used in displaying this field's text.

### getMaxLength

    public int getMaxLength()

  Gets the maximum length of this field's text, in characters.

  It corresponds to the maximum integer value in case no explicit limit is defined.

### isMultiline

    public boolean isMultiline()

  Gets whether the field can contain multiple lines of text.

### isPassword

    public boolean isPassword()

  Gets whether the field is intended for entering a secure password.

### isSpellChecked

    public boolean isSpellChecked()

  Gets whether text entered in the field is spell-checked.

### setJustification

    public void setJustification(JustificationEnum value)

  See Also:
    `getJustification()`

### setMaxLength

    public void setMaxLength(int value)

  See Also:
    `getMaxLength()`

### setMultiline

    public void setMultiline(boolean value)

  See Also:
    `isMultiline()`

### setPassword

    public void setPassword(boolean value)

  See Also:
    `isPassword()`

### setSpellChecked

    public void setSpellChecked(boolean value)

  See Also:
    `isSpellChecked()`

### setValue

    public void setValue(Object value)

  Overrides:
    `setValue` in class `Field`
  See Also:
    `Field.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.